<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet [ <!ENTITY copy "&#169;"> <!ENTITY nbsp "&#160;"> <!ENTITY darr "&#8595;"> <!ENTITY uarr "&#8593;"> <!ENTITY bcs "&#187;">  ]>

<!--
	Copyright 2010 - Max Hacking - Hacking Networked Solutions

	This file is a part of the Hacking Networked Solutions Document Management System XSLT Templates 

    The Hacking Networked Solutions Document Management System is free software: you can 
    redistribute it and/or modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    The Hacking Networked Solutions Document Management System is distributed in the hope
    that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
    of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
    License for more details.

    You should have received a copy of the GNU General Public License along with the
    Hacking Networked Solutions Document Management System.  If not, please refer to  
    <http://www.gnu.org/licenses/>.
-->

<xsl:stylesheet version="1.0" 
				xmlns="http://www.w3.org/1999/xhtml"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"  
				xmlns:dms="http://www.mad-hacking.net/schema/dms"
				xmlns:doc="http://www.mad-hacking.net/schema/dms/documents" >

	<xsl:template name="dms:css-include-navigation-site-index">
		<link rel="stylesheet" type="text/css" href="/style/dms/css/navigation/site-index.css" />
	</xsl:template>

	<xsl:template match="/doc:index">
		<xsl:apply-templates mode="dms:site-index" />
	</xsl:template>

	<xsl:template match="doc:index/*" mode="dms:site-index">
		<xsl:if test="descendant::doc:document[(@state and @state!='none')]">
			<div id="indexlegend">
				<h4>Document state</h4>
				<ul class="siteindex">
					<li class="document none"><span>N/A</span></li>
					<li class="document alpha"><span>Alpha</span></li>
					<li class="document beta"><span>Beta</span></li>
					<li class="document release"><span>Release</span></li>
					<li class="document deprecated"><span>Deprecated</span></li>
				</ul>		
			</div>
		</xsl:if>
	
		<h1>Site Index</h1>
	
		<ul class="siteindex">
			<xsl:apply-templates mode="dms:site-index">
				<xsl:sort select="doc:title" />
			</xsl:apply-templates>
		</ul>
	</xsl:template>

	<xsl:template match="doc:documentgroup" mode="dms:site-index">
		<xsl:if test="descendant::doc:document[not(@visibility) or @visibility='normal' or @visibility='indexonly'] or
					  descendant::doc:external[not(@visibility) or @visibility='normal' or @visibility='indexonly']">
			<li class="documentgroup">
				<span class="hide-no-dom pointer" name="SimpleShowHide:Trigger" show-hide-target-name="document-group-{@id}" initial-state="visible" >
					<img class="hidden" name="SimpleShowHide:Show" src="/style/site/icons/arrow_open.gif" width="11" height="9" alt="+" />
					<img name="SimpleShowHide:Hide" src="/style/site/icons/arrow_close.gif" width="11" height="9" alt="-" />
				</span>
				<a href="{@href}">
					<!-- <xsl:value-of select="@short-title" /> -->
					<xsl:apply-templates select="doc:title" mode="dms:site-index-title" />
				</a>
				<ul name="document-group-{@id}">
					<xsl:apply-templates mode="dms:site-index">
						<xsl:sort select="doc:title" />
					</xsl:apply-templates>
				</ul>
			</li>
		</xsl:if>
	</xsl:template>

	<xsl:template match="doc:documentgroup[@visibility='hidden']" mode="dms:site-index" />

	<xsl:template match="doc:document" mode="dms:site-index">
		<li class="document {@state}">
			<a href="{@href}">
				<!-- <xsl:value-of select="@short-title" /> -->
				<xsl:apply-templates select="doc:title" mode="dms:site-index-title" />
			</a>
			<xsl:if test="child::doc:document[not(@visibility) or @visibility='normal' or @visibility='indexonly']">
				<ul>
					<xsl:apply-templates mode="dms:site-index">
						<xsl:sort select="doc:title" />
					</xsl:apply-templates>
				</ul>
			</xsl:if>	
		</li>			
	</xsl:template>

	<xsl:template match="doc:document[@visibility='hidden']" mode="dms:site-index" />

	<xsl:template match="doc:external" mode="dms:site-index"> 
		<li class="document">
			<a href="{@href}">
				<!-- <xsl:value-of select="@short-title" /> -->
				<xsl:apply-templates select="doc:title" mode="dms:site-index-title" />
			</a>
		</li>			
	</xsl:template>

	<xsl:template match="doc:external[@visibility='hidden']" mode="dms:site-index" />

	<xsl:template match="doc:external[@id='site-index']" mode="dms:site-index" />

	<xsl:template match="*" mode="dms:site-index" />
	
	<xsl:template match="doc:title" mode="dms:site-index-title">
		<xsl:apply-templates />
	</xsl:template>

</xsl:stylesheet>
