<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet [ <!ENTITY copy "&#169;"> <!ENTITY nbsp "&#160;"> ]>

<!--
	Copyright 2010 - Max Hacking - Hacking Networked Solutions

	This file is a part of the Hacking Networked Solutions Document Management System XSLT Templates 

    The Hacking Networked Solutions Document Management System is free software: you can 
    redistribute it and/or modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    The Hacking Networked Solutions Document Management System is distributed in the hope
    that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
    of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
    License for more details.

    You should have received a copy of the GNU General Public License along with the
    Hacking Networked Solutions Document Management System.  If not, please refer to  
    <http://www.gnu.org/licenses/>.
-->

<xsl:stylesheet version="1.0" 
				xmlns="http://www.w3.org/1999/xhtml"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
				xmlns:dms="http://www.mad-hacking.net/schema/dms"
				xmlns:doc="http://www.mad-hacking.net/schema/dms/documents">

	<xsl:template match="doc:note[1]" mode="dms:css-include">
		<xsl:if test="count(current() | (/descendant::doc:note)[1])=1">
			<link rel="stylesheet" type="text/css" href="/style/dms/css/base/notes.css" />
		</xsl:if>
		<xsl:apply-templates mode="dms:css-include" />
	</xsl:template>
	
	<xsl:template match="doc:note">
		 <div class="note-box">
			<xsl:choose>
				<xsl:when test="@type='check'">
					<img class="note-icon" src="/style/site/icons/check.png" width="48" height="48" alt="Caution:" />
				</xsl:when>
				<xsl:when test="@type='warn'">
					<img class="note-icon" src="/style/site/icons/warn.png" width="48" height="48" alt="Warning:" />
				</xsl:when>
				<xsl:otherwise>
					<img class="note-icon" src="/style/site/icons/info.png" width="48" height="48" alt="Information:" />
				</xsl:otherwise>
			</xsl:choose>
			<div class="note-text">
				<xsl:apply-templates />
			</div>
			<div class="clear">&nbsp;</div>			
		</div>
	</xsl:template>
	
</xsl:stylesheet>