<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xml:stylesheet [ <!ENTITY newwin "&#9715;"> <!ENTITY envelope "&#9993;"> ]>

<!--
	Copyright 2010 - Max Hacking - Hacking Networked Solutions

	This file is a part of the Hacking Networked Solutions Document Management System XSLT Templates 

    The Hacking Networked Solutions Document Management System is free software: you can 
    redistribute it and/or modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    The Hacking Networked Solutions Document Management System is distributed in the hope
    that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
    of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
    License for more details.

    You should have received a copy of the GNU General Public License along with the
    Hacking Networked Solutions Document Management System.  If not, please refer to  
    <http://www.gnu.org/licenses/>.
-->

<xsl:stylesheet version="1.0" 
				xmlns="http://www.w3.org/1999/xhtml"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
				xmlns:doc="http://www.mad-hacking.net/schema/dms/documents"
				xmlns:dms="http://www.mad-hacking.net/schema/dms">

	<xsl:template match="doc:reference">
		<a title="{@href}" href="{@href}" target="_blank">
			<span class="linktext"><xsl:apply-templates /></span>
			<span class="newwin" title="This link will open in a new window or tab">&newwin;</span>
		</a>
	</xsl:template>
	
	<xsl:template match="doc:title" mode="dms:reference-title">
 		<xsl:apply-templates /> 
	</xsl:template>
	
	<xsl:template match="doc:chapter" mode="dms:reference-title">
 		<xsl:value-of select="doc:title" /> 
	</xsl:template>
	
	<xsl:template match="doc:localref">
		<xsl:variable name="document-id" select="@document-id" />
		<xsl:apply-templates select="document('/site-index.xml', document(''))//descendant::*[@id=concat($document-id, '')]" mode="dms:localref">
			<xsl:with-param name="chapter-id" select="@chapter-id" />
			<xsl:with-param name="section-id" select="@section-id" />
		</xsl:apply-templates>
	</xsl:template>
	
	<xsl:template match="doc:document|doc:documentgroup" mode="dms:localref">
		<xsl:param name="chapter-id" />
		<xsl:param name="section-id" />
		<xsl:choose>
			<xsl:when test="$chapter-id">
				<xsl:apply-templates select="doc:chapter[@id=concat($chapter-id, '')]" mode="dms:localref-chapter">
					<xsl:with-param name="section-id" select="$section-id" />
				</xsl:apply-templates>
			</xsl:when>
			<xsl:otherwise>
				<a href="{@href}">
					<span class="linktext"><xsl:apply-templates select="document(@href)//descendant::doc:title" mode="dms:reference-title" /></span>
				</a>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template match="doc:chapter" mode="dms:localref-chapter">
		<xsl:param name="section-id" />
		<a href="{@href}">
			<span class="linktext"><xsl:apply-templates select="document(@href)" mode="dms:reference-title" /></span>
		</a>
	</xsl:template>
	
	<xsl:template match="doc:mailto">
		<a title="Send an email to {@address}" href="mailto:{@address}">
			<span class="linktext"><xsl:value-of select="@address" /></span>
			<span class="mailto" title="This link will open your desktop email client">&envelope;</span>
		</a>
	</xsl:template>
	
</xsl:stylesheet>