<?xml version="1.0" encoding="UTF-8"?>

<!--
	Copyright 2011 - Max Hacking - Hacking Networked Solutions

	This file is a part of the Hacking Networked Solutions Document Management System XSLT Templates 

    The Hacking Networked Solutions Document Management System is free software: you can 
    redistribute it and/or modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    The Hacking Networked Solutions Document Management System is distributed in the hope
    that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
    of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
    License for more details.

    You should have received a copy of the GNU General Public License along with the
    Hacking Networked Solutions Document Management System.  If not, please refer to  
    <http://www.gnu.org/licenses/>.
-->

<xsl:stylesheet version="1.0" 
				xmlns="http://www.w3.org/1999/xhtml"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
				xmlns:comp="http://www.mad-hacking.net/schema/dms/ext/comp"
				xmlns:dms="http://www.mad-hacking.net/schema/dms">

	<!-- Template used to include CSS stylesheet -->
	<xsl:template match="comp:variable-list[1]" mode="dms:css-include">
		<xsl:if test="count(current() | /descendant::comp:variable-list[1])=1">
			<link rel="stylesheet" type="text/css" href="/style/dms/css/modules/comp/block.css" />
		</xsl:if>
	</xsl:template>
	
	<!-- Template to match <comp:variable-list> block level elements -->
	<xsl:template match="comp:variable-list">
	 	<table class="dms-comp-variable-list">
	 		<tr class="dms-comp-variable-list-head">
	 			<th colspan="2"><xsl:apply-templates select="comp:title" /></th>
	 		</tr>
	 		<xsl:apply-templates select="comp:variable" />
		</table>
	</xsl:template>

	<xsl:template match="comp:variable-list/comp:variable">
 		<tr>
 			<td rowspan="2" class="dms-comp-variable-list-name"><xsl:apply-templates select="comp:name" /></td>
 			<td class="dms-comp-variable-list-description"><xsl:apply-templates select="comp:description" /></td>
 		</tr>
 		<tr>
 			<td class="dms-comp-variable-list-value"><xsl:apply-templates select="comp:value" /></td>
 		</tr>
	</xsl:template>
	
	<xsl:template match="comp:variable-list/comp:variable/comp:name">
		<xsl:if test="position() != 1"><br /></xsl:if>
		<xsl:apply-templates />
	</xsl:template>

	<xsl:template match="comp:variable-list/comp:variable/comp:value">
		<xsl:apply-templates />
	</xsl:template>

	<xsl:template match="comp:variable-list/comp:variable/comp:description">
		<xsl:apply-templates />
	</xsl:template>

	
</xsl:stylesheet>	