<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet [ <!ENTITY copy "&#169;"> <!ENTITY nbsp "&#160;"> <!ENTITY gt "&#160;"> ]>

<!--
	Copyright 2010 - Max Hacking - Hacking Networked Solutions

	This file is a part of the Hacking Networked Solutions Document Management System XSLT Templates 

    The Hacking Networked Solutions Document Management System is free software: you can 
    redistribute it and/or modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    The Hacking Networked Solutions Document Management System is distributed in the hope
    that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
    of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
    License for more details.

    You should have received a copy of the GNU General Public License along with the
    Hacking Networked Solutions Document Management System.  If not, please refer to  
    <http://www.gnu.org/licenses/>.
-->

<xsl:stylesheet version="1.0" 
				xmlns="http://www.w3.org/1999/xhtml"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
				xmlns:db="http://www.mad-hacking.net/schema/dms/ext/db"
				xmlns:dms="http://www.mad-hacking.net/schema/dms">


	<xsl:template match="db:pgsql[1]|db:mysql[1]" mode="dms:css-include">
		<xsl:if test="count(current() | (/descendant::db:pqsql|/descendant::db:mysql)[1])=1">
			<link rel="stylesheet" type="text/css" href="/style/dms/css/modules/db/db.css" />
		</xsl:if>
		<xsl:apply-templates mode="dms:css-include" />
	</xsl:template>



	<xsl:template match="db:pgsql|db:mysql">
		<xsl:if test="db:title">
			<div class="sql-session-heading"><xsl:apply-templates select="db:title" /></div>
		</xsl:if>
		<div class="sql-session-body">
			<xsl:apply-templates select="db:command | db:output"/>
		</div>
		<xsl:if test="db:description">
			<div class="sql-session-footer"><xsl:apply-templates select="db:description" /></div>
		</xsl:if>
	</xsl:template>

	<xsl:template match="db:pgsql/db:command">
		<xsl:variable name="database">
			<xsl:choose>
				<xsl:when test="@database">
					<xsl:value-of select="@database" />
				</xsl:when>
				<xsl:when test="not(@database) and ../@database">
					<xsl:value-of select="../@database" />
				</xsl:when>
				<xsl:otherwise>
					postgres
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="prefix">
			<xsl:choose>
				<xsl:when test="@prefix">
					<xsl:value-of select="@prefix" />
				</xsl:when>
				<xsl:otherwise>
					=
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>

		<pre><span class="output"><xsl:value-of select="normalize-space($database)" /><xsl:value-of select="normalize-space($prefix)" />#</span>&nbsp;<xsl:apply-templates />&nbsp;</pre>
	</xsl:template>	
	
	<xsl:template match="db:mysql/db:command">
		<xsl:variable name="database">
			<xsl:choose>
				<xsl:when test="@database">
					<xsl:value-of select="@database" />
				</xsl:when>
				<xsl:when test="not(@database) and ../@database">
					<xsl:value-of select="../@database" />
				</xsl:when>
				<xsl:otherwise>
					mysql
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="prefix">
			<xsl:choose>
				<xsl:when test="@prefix">
					<xsl:value-of select="@prefix" />
				</xsl:when>
				<xsl:otherwise>
					&gt;
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>

		<pre><span class="output"><xsl:value-of select="normalize-space($database)" /><xsl:value-of select="normalize-space($prefix)" /></span>&nbsp;<xsl:apply-templates />&nbsp;</pre>
	</xsl:template>	
	
	<xsl:template match="db:output">
		<pre class="output"><xsl:copy-of select="node()" />&nbsp;</pre>
	</xsl:template>	
	
</xsl:stylesheet>