<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet [ <!ENTITY amp "&#38;"> ] >

<!--
	Copyright 2010 - Max Hacking - Hacking Networked Solutions

	This file is a part of the Hacking Networked Solutions Document Management System XSLT Templates 

    The Hacking Networked Solutions Document Management System is free software: you can 
    redistribute it and/or modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    The Hacking Networked Solutions Document Management System is distributed in the hope
    that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
    of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
    License for more details.

    You should have received a copy of the GNU General Public License along with the
    Hacking Networked Solutions Document Management System.  If not, please refer to  
    <http://www.gnu.org/licenses/>.
-->

<xsl:stylesheet version="2.0" 
				xmlns="http://www.w3.org/1999/xhtml"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:dev="http://www.mad-hacking.net/schema/dms/ext/dev"
				xmlns:xi="http://www.w3.org/2001/XInclude"
				xmlns:dms="http://www.mad-hacking.net/schema/dms">

	<!-- Template used to include CSS stylesheet -->
	<xsl:template match="dev:code[1]" mode="dms:css-include">
		<xsl:if test="count(current() | /descendant::dev:code[1])=1">
			<link rel="stylesheet" type="text/css" href="/style/dms/css/modules/dev/code-base.css" />
			<link rel="stylesheet" type="text/css" href="/style/dms/css/modules/dev/code-styling.css" />
		</xsl:if>
	</xsl:template>
	
	<!-- Main template used to match <dev:code> elements -->
	<xsl:template match="dev:code">
		<div class="dms-base-code">
			<div class="dms-base-code-head">
				<xsl:apply-templates select="dev:title" />
			</div>
			<xsl:choose>
				<xsl:when test="@start_line">
					[%include virtual="/_internal/geshi.php?file=<xsl:value-of select="@href" />&amp;lang=<xsl:value-of select="@language" />&amp;start_line=<xsl:value-of select="@start_line" />" %]
				</xsl:when>
				<xsl:otherwise>
					[%include virtual="/_internal/geshi.php?file=<xsl:value-of select="@href" />&amp;lang=<xsl:value-of select="@language" />" %]
				</xsl:otherwise>
			</xsl:choose>
			<div class="dms-base-code-foot">
				<xsl:apply-templates select="dev:description" />
			</div>
		</div>
	</xsl:template>

</xsl:stylesheet>
