<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet [ <!ENTITY nbsp "&#160;"> ]>

<!--
	Copyright 2010 - Max Hacking - Hacking Networked Solutions

	This file is a part of the Hacking Networked Solutions Document Management System XSLT Templates 

    The Hacking Networked Solutions Document Management System is free software: you can 
    redistribute it and/or modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    The Hacking Networked Solutions Document Management System is distributed in the hope
    that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
    of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
    License for more details.

    You should have received a copy of the GNU General Public License along with the
    Hacking Networked Solutions Document Management System.  If not, please refer to  
    <http://www.gnu.org/licenses/>.
-->

<xsl:stylesheet version="1.0" 
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
				xmlns:s6hl="http://net.sf.xslthl/ConnectorSaxon6"
    			xmlns:sbhl="http://net.sf.xslthl/ConnectorSaxonB"
				xmlns:xhl="http://net.sf.xslthl/XalanConnector"
				xmlns:saxon6="http://icl.com/saxon"
    			xmlns:saxonb="http://saxon.sf.net/"
				xmlns:xalan="http://xml.apache.org/xalan"
				xmlns:xslthl="http://xslthl.sf.net"
				extension-element-prefixes="s6hl sbhl xhl xslthl"
				xmlns:doc="http://www.mad-hacking.net/schema/dms/documents" >
				
	<!-- for Xalan 2.x -->
    <xalan:component prefix="xhl" functions="highlight">
        <xalan:script lang="javaclass" src="xalan://net.sf.xslthl.ConnectorXalan" />
    </xalan:component>

    <!-- for saxon 6 -->
    <saxon6:script implements-prefix="s6hl" language="java" src="java:net.sf.xslthl.ConnectorSaxon6" />

    <!-- for saxon 8.5 and later -->
    <saxonb:script implements-prefix="sbhl" language="java" src="java:net.sf.xslthl.ConnectorSaxonB" />
    
	<xsl:template name="syntax-highlight">
        <xsl:param name="language" />
        <xsl:param name="source" />
        <xsl:param name="config" />
        <xsl:choose>
            <xsl:when test="function-available('s6hl:highlight')">
                <xsl:variable name="highlighted" select="s6hl:highlight($language, $source, $config)" />
                <xsl:apply-templates select="$highlighted" />
            </xsl:when>
            <xsl:when test="function-available('sbhl:highlight')">
                <xsl:variable name="highlighted" select="sbhl:highlight($language, $source, $config)" />
                <xsl:apply-templates select="$highlighted" />
            </xsl:when>
            <xsl:when test="function-available('xhl:highlight')">
                <xsl:variable name="highlighted" select="xhl:highlight($language, $source, $config)" />
                <xsl:apply-templates select="$highlighted" />
            </xsl:when>
            <xsl:otherwise>
                <xsl:apply-templates select="$source/*|$source/text()" />
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>
    
    <xsl:template match="doc:code">
    	<h1>Code!</h1>
		<xsl:call-template name="syntax-highlight">
		    <xsl:with-param name="language" select="@language" />
		    <xsl:with-param name="source" select="." />
		    <xsl:with-param name="config" select="''" />
	    </xsl:call-template>
	</xsl:template>
        	
</xsl:stylesheet>