<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet [ <!ENTITY zwnbsp "&#8203;"> <!ENTITY nbsp "&#160;"> <!ENTITY gt "&#160;"> ]>

<!--
	Copyright 2010 - Max Hacking - Hacking Networked Solutions

	This file is a part of the Hacking Networked Solutions Document Management System XSLT Templates 

    The Hacking Networked Solutions Document Management System is free software: you can 
    redistribute it and/or modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    The Hacking Networked Solutions Document Management System is distributed in the hope
    that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
    of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
    License for more details.

    You should have received a copy of the GNU General Public License along with the
    Hacking Networked Solutions Document Management System.  If not, please refer to  
    <http://www.gnu.org/licenses/>.
-->

<xsl:stylesheet version="1.0" 
				xmlns="http://www.w3.org/1999/xhtml"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
				xmlns:linux="http://www.mad-hacking.net/schema/dms/ext/linux" >

	<xsl:strip-space elements="*"/>

	<xsl:template match="linux:editor">
		<xsl:if test="@title">
			<div class="typed-heading"><xsl:value-of select="@title" /></div>
		</xsl:if>
		<xsl:if test="@file">
			<div class="typed-file"><xsl:value-of select="@file" /></div>
		</xsl:if>
		<div class="typed">
			<pre>
				<xsl:apply-templates />
			</pre>
		</div>
		<xsl:if test="@description">
			<div class="typed-footer"><xsl:value-of select="@description" /></div>
		</xsl:if>
	</xsl:template>

	<xsl:template match="linux:editor/linux:line">
		<xsl:choose>
			<xsl:when test="@type='existing' or (not(@type) and ../@deftype='existing')">
				<span class="existing"><xsl:apply-templates /><br /></span>
			</xsl:when>
			<xsl:when test="@type='removed' or (not(@type) and ../@deftype='removed')">
				<span class="removed"><xsl:apply-templates /><br /></span>
			</xsl:when>
		<xsl:otherwise>
			<xsl:apply-templates /><br />
		</xsl:otherwise>
		</xsl:choose>
	</xsl:template>	

</xsl:stylesheet>