<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet [ <!ENTITY copy "&#169;"> <!ENTITY nbsp "&#160;"> ]>

<!--
	Copyright 2010 - Max Hacking - Hacking Networked Solutions

	This file is a part of the Hacking Networked Solutions Document Management System XSLT Templates 

    The Hacking Networked Solutions Document Management System is free software: you can 
    redistribute it and/or modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    The Hacking Networked Solutions Document Management System is distributed in the hope
    that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
    of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
    License for more details.

    You should have received a copy of the GNU General Public License along with the
    Hacking Networked Solutions Document Management System.  If not, please refer to  
    <http://www.gnu.org/licenses/>.
-->

<xsl:stylesheet version="1.0" 
				xmlns="http://www.w3.org/1999/xhtml"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
				xmlns:linux="http://www.mad-hacking.net/schema/dms/ext/linux" >

	<xsl:template match="linux:kernel-config">
		<table class="kernel-config">
			<xsl:if test="@title">
				<caption><xsl:value-of select="@title" /></caption>
			</xsl:if>
			<tr>
				<td class="options"><ul><xsl:apply-templates mode="linux:kernel-optcol" /></ul></td>
				<td class="text"><ul><xsl:apply-templates mode="linux:kernel-textcol" /></ul></td>
				<td class="key"><ul><xsl:apply-templates mode="linux:kernel-keycol" /></ul></td>
			</tr>
			<xsl:if test="@description">
				<div class="kernel-config-footer"><xsl:value-of select="@description" /></div>
			</xsl:if>
		</table>
	</xsl:template>
	
	<xsl:template match="linux:option" mode="linux:kernel-optcol">
		<li>
		 	<xsl:if test="@value">
				(<xsl:value-of select="@value" />)
			</xsl:if>
	 		<xsl:if test="not(@value)">
				<xsl:choose>
					<xsl:when test="@state='selected'">[*]</xsl:when>
					<xsl:when test="@state='head'">---</xsl:when>
					<xsl:when test="@state='forced'">-*-</xsl:when>
					<xsl:otherwise>[&nbsp;]</xsl:otherwise>
				</xsl:choose>
		 	</xsl:if>
	 	</li>
		<xsl:apply-templates mode="linux:kernel-optcol" />
	</xsl:template>
	
	<xsl:template match="linux:group" mode="linux:kernel-optcol">
		<li>
			<xsl:choose>
				<xsl:when test="@state='selected'">[*]</xsl:when>
				<xsl:when test="@state='unselected'">[&nbsp;]</xsl:when>
				<xsl:when test="@state='head'">---</xsl:when>
				<xsl:otherwise>&nbsp;</xsl:otherwise>
			</xsl:choose>
		</li>
		<xsl:apply-templates mode="linux:kernel-optcol" />
	</xsl:template>
	
	<xsl:template match="linux:line" mode="linux:kernel-optcol">
		<li>---</li>
		<xsl:apply-templates mode="linux:kernel-optcol" />
	</xsl:template>
	
	<xsl:template match="linux:option" mode="linux:kernel-textcol">
		<li><xsl:value-of select="@text" /></li>
		<xsl:if test="*">
			<ul>
				<xsl:apply-templates mode="linux:kernel-textcol" />
			</ul>
		</xsl:if>
	</xsl:template>

	<xsl:template match="linux:group" mode="linux:kernel-textcol">
		<li>
			<xsl:value-of select="@text" />
			<xsl:if test="not(@state='head')">&nbsp;&nbsp;---></xsl:if>
		</li>
		<xsl:if test="*">
			<ul>
				<xsl:apply-templates mode="linux:kernel-textcol" />
			</ul>
		</xsl:if>
	</xsl:template>
	
	<xsl:template match="linux:line" mode="linux:kernel-textcol">
		<li>-------------------------</li>
	</xsl:template>
	
	<xsl:template match="linux:option|linux:group|linux:line" mode="linux:kernel-keycol">
		<li>
			<xsl:choose>
				<xsl:when test="string-length(@key) > 0"><xsl:value-of select="@key" /></xsl:when>
				<xsl:otherwise>&nbsp;</xsl:otherwise>
			</xsl:choose>
			
		</li>
		<xsl:apply-templates mode="linux:kernel-keycol" />
	</xsl:template>	
	
</xsl:stylesheet>