<?xml version="1.0" encoding="UTF-8"?>

<!--
	Copyright 2010 - Max Hacking - Hacking Networked Solutions

	This file is a part of the Hacking Networked Solutions Document Management System XSLT Templates 

    The Hacking Networked Solutions Document Management System is free software: you can 
    redistribute it and/or modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    The Hacking Networked Solutions Document Management System is distributed in the hope
    that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
    of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
    License for more details.

    You should have received a copy of the GNU General Public License along with the
    Hacking Networked Solutions Document Management System.  If not, please refer to  
    <http://www.gnu.org/licenses/>.
-->

<xsl:stylesheet version="2.0" 
				xmlns="http://www.w3.org/1999/xhtml"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:dms="http://www.mad-hacking.net/schema/dms"
				xmlns:doc="http://www.mad-hacking.net/schema/dms/documents" >

	<xsl:template name="dms:css-include-navigation-breadcrumbs">
		<link rel="stylesheet" type="text/css" href="/style/dms/css/navigation/breadcrumbs.css" />
	</xsl:template>
	
	
	<xsl:template name="dms:breadcrumbs">
		<xsl:apply-templates select="/" mode="dms:breadcrumbs" />
	</xsl:template>

	<xsl:template match="/" mode="dms:breadcrumbs">
		<ul>
			<xsl:apply-templates mode="dms:breadcrumbs-doc" />
		</ul>
	</xsl:template>

	<xsl:template match="doc:blogpost" mode="dms:breadcrumbs-doc">
	</xsl:template>

	<xsl:template match="doc:document|doc:documentgroup|doc:chapter" mode="dms:breadcrumbs-doc">
		<xsl:variable name="parent-id" select="@parent-id" />	
		<xsl:choose>
			<xsl:when test="@parent-id=@id"> 
				<li class="first"><xsl:value-of select="@short-title" /></li>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="document('/site-index.xml', document(''))//descendant::*[@id=concat($parent-id, '')]" mode="dms:breadcrumbs-idx" />
				<li><xsl:value-of select="@short-title" /></li>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template match="doc:document|doc:documentgroup" mode="dms:breadcrumbs-idx">
		<xsl:choose>
			<xsl:when test="parent::doc:document|parent::doc:documentgroup"> 
				<xsl:apply-templates select="parent::node()" mode="dms:breadcrumbs-idx" />
				<li><a href="{@href}"><xsl:value-of select="@short-title" /></a></li>
			</xsl:when>
			<xsl:otherwise>
				<li class="first"><a href="{@href}"><xsl:value-of select="@short-title" /></a></li>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template match="doc:index" mode="dms:breadcrumbs-doc">
		<li class="first"><a href="/">Home</a></li><li>Site Index</li>
	</xsl:template>
 	
</xsl:stylesheet>
