<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet [ <!ENTITY copy "&#169;"> <!ENTITY nbsp "&#160;"> <!ENTITY darr "&#8595;"> <!ENTITY uarr "&#8593;"> <!ENTITY bcs "&#187;">  ]>

<!--
	Copyright 2010 - Max Hacking - Hacking Networked Solutions

	This file is a part of the Hacking Networked Solutions Document Management System XSLT Templates 

    The Hacking Networked Solutions Document Management System is free software: you can 
    redistribute it and/or modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    The Hacking Networked Solutions Document Management System is distributed in the hope
    that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
    of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
    License for more details.

    You should have received a copy of the GNU General Public License along with the
    Hacking Networked Solutions Document Management System.  If not, please refer to  
    <http://www.gnu.org/licenses/>.
-->

<xsl:stylesheet version="1.0"
				xmlns="http://www.sitemaps.org/schemas/sitemap/0.9"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"  
				xmlns:doc="http://www.mad-hacking.net/schema/dms/documents"
				xmlns:dms="http://www.mad-hacking.net/schema/dms" >


	<!--
		This parameter is set by the Cocoon sitemap.xmap file to the prefix 
		for this site.  IE "http://www.mad-hacking.net" note, no trailing /
	-->
	<xsl:param name="site-prefix" />

	<!--
		Start of root template.  Create a <urlset> element and start applying 
		templates in "sitemap" mode.
	-->
	<xsl:template match="/">
		<urlset xmlns="http://www.sitemaps.org/schemas/sitemap/0.9">
			<xsl:apply-templates mode="dms:sitemap" />
		</urlset>
	</xsl:template>	

	<!--
		Match a <doc:index> node.  Nothing needs doing, just continue applying
		the templates in "sitemap" mode.
	-->
	<xsl:template match="doc:index" mode="dms:sitemap">
		<xsl:apply-templates mode="dms:sitemap" />
	</xsl:template>

	<!--
		Match a <doc:documentgroup>, a <doc:document> or a <doc:chapter> and
		generate a <url> node.  Apply templates outside the <url> node to process
		sub-elements but keep them in a list instead of a tree.
	-->
	<xsl:template match="doc:documentgroup|doc:document|doc:chapter" mode="dms:sitemap">
		<url>
			<loc><xsl:value-of select="$site-prefix" /><xsl:value-of select="@href" /></loc>
		</url>
		<xsl:apply-templates mode="dms:sitemap" />
	</xsl:template>

	<!--
		Match a <doc:documentgroup> or a <doc:document> with @visibility='hidden'
		so that hidden pages do not appear in the resulting sitemap.
	-->
	<xsl:template match="doc:documentgroup[@visibility='hidden']|doc:document[@visibility='hidden']" mode="dms:sitemap" />

	<!--
		Hide any nodes we don't specifically process in "sitemap" mode so that we
		don't get any spurious text in the resulting sitemap file.
	-->
	<xsl:template match="*" mode="dms:sitemap" />

</xsl:stylesheet>